#!/bin/bash
# 
# postfix.sh	simple script to configure postfix mail
#               server for home users
# 
# Author: 	Jakub Krajniak <teodor at pld-linux.org>
# Licence:	GPL
#
# $Id:$
#

run_main() {
	backup_file /etc/mail/main.cf
	backup_file /etc/mail/aliases
	backup_file /etc/mail/canonical
	backup_file /etc/mail/sasl_passwd
	install_if_missing "procmail fetchmail postfix cyrus-sasl-login"
	POSTFIX_CONF=/etc/mail/main.cf
	line_replace ".*relayhost =" "relayhost = $smtp_server" $POSTFIX_CONF
	line_replace "canonical_maps =" "canonical_maps = hash:/etc/mail/canonical" $POSTFIX_CONF
	[ "X$smtp_auth" = "Xyes" ] && { line_replace "smtp_sasl_auth_enable =" "smtp_sasl_auth_enable = yes" $POSTFIX_CONF; line_replace "smtp_sasl_password_maps =" "smtp_sasl_password_maps = hash:/etc/mail/sasl_passwd" $POSTFIX_CONF; line_replace "smtp_sasl_security_options =" "smtp_sasl_security_options =" $POSTFIX_CONF; }
	postmap /etc/mail/canonical
	[ $smpt_auth ] && postmap /etc/mail/sasl_passwd
	newaliases
}

gui () {
eval `dml<< EOF
<meta title="$(nls "Postfix setup")"><br>
$(nls "Relay SMTP server"): <input id=smtp_server width=14><br>
<check id=smtp_auth> $(nls "Enable authorization ")<br><br>
<button id=sasl_passwd caption="$(nls "Edit auth password")">
<button id=canonical caption="$(nls "Edit canonical map")"><br>
<button id=aliases caption="$(nls "Edit aliases map")"><br><br>
\`dml_buttons Ok Anuluj Edytuj Pomoc Przywr\`
EOF`

[ "X$canonical" = "Xyes" ] && { $EDITOR /etc/mail/canonical; exec $0; }
[ "X$sasl_passwd" = "Xyes" ] && { echo -e "#Format: <smtp_server> <login>:<password>\n$smtp_server <login>:<password>" > /etc/mail/sasl_passwd; $EDITOR /etc/mail/sasl_passwd; exec $0; }
[ "X$aliases" = "Xyes" ] && { $EDITOR /etc/mail/aliases; exec $0;}

dml_help_check ${DATA_DIR}/POMOC/README_postfix.txt
dml_cancel_check ${DATA_DIR}/NET/net_menu.sh
dml_edit_check /etc/mail/main.cf
dml_check_the_rest ${DATA_DIR}/NET/net_menu.sh
dml_recover_check ${DATA_DIR}/main.cf /etc/mail/
dml_recover_check ${DATA_DIR}/aliases /etc/mail/ && newaliases
dml_recover_check ${DATA_DIR}/canonical /etc/mail/ && postmap /etc/mail/canonical
dml_recover_check ${DATA_DIR}/sasl_passwd /etc/mail/ && postmap /etc/mail/sasl_passwd
}
gui
