#!/bin/bash
# $Revision: 1.37 $, $Date: 2004/03/01 08:15:04 $
# GPL, mimooh at pld-linux.org

CONFIG_FILE=/etc/pldconf/ustawienia

run_main () {
	case $errors_handle in
		ALWAYS_FIX)
		line_replace "export ERRORS_HANDLE" "export ERRORS_HANDLE=ALWAYS_FIX" $CONFIG_FILE
		;;
		ALWAYS_ASK)
		line_replace "export ERRORS_HANDLE" "export ERRORS_HANDLE=ALWAYS_ASK" $CONFIG_FILE
		;;
		ALWAYS_IGNORE)
		line_replace "export ERRORS_HANDLE" "export ERRORS_HANDLE=ALWAYS_IGNORE" $CONFIG_FILE
		;;
	esac
	if [ $verbose_mode = "yes" ]; then
		line_replace "export VERBOSE_MODE" "export VERBOSE_MODE=1" $CONFIG_FILE
	else
		line_replace "export VERBOSE_MODE" "export VERBOSE_MODE=0" $CONFIG_FILE
	fi
	if [ $timeout_mode = "yes" ]; then
		line_replace "export TIMEOUT_MODE" "export TIMEOUT_MODE=1" $CONFIG_FILE
	else
		line_replace "export TIMEOUT_MODE" "export TIMEOUT_MODE=0" $CONFIG_FILE
	fi
	line_replace "export SLEEP_TIME" "export SLEEP_TIME=$SLEEP_TIME" $CONFIG_FILE
}

gui () {
	eval `dml <<EOF
	<meta title="$(nls "pldconf settings")" width=70><br>
	$(nls "Errors fix modes:")
	<menu id=errors_handle>
	<item id=LEAVE> $(nls "Leave the options unchanged")
	<item id=ALWAYS_FIX> $(nls "Auto-fix errors")
	<item id=ALWAYS_ASK> $(nls "Wait for user's answer")
	<item id=ALWAYS_IGNORE> $(nls "Ignore all errors, don't warn")
	</menu><br>
	<check id=timeout_mode checked=$TIMEOUT_MODE> $(nls "Messages for") <input id=SLEEP_TIME width=3 caption=$SLEEP_TIME>$(nls "seconds    0 sec. -> mode <enter>")<br>
	<check id=verbose_mode checked=$VERBOSE_MODE> $(nls "Verbose mode")<br>
	------------------------------------------------------------------<br><br>
	\`dml_buttons Ok Anuluj Edytuj Pomoc Wyjcie\`<br>
EOF`

	dml_cancel_check ${EXEC_PREFIX}/pldconf
	dml_edit_check /etc/pldconf/ustawienia
	dml_help_check ${DATA_DIR}/POMOC/README_ustawienia.txt
	dml_check_the_rest ${EXEC_PREFIX}/pldconf
}


print_help () {
	cat << EOF
$(nls "options"):
-s <time>	$(nls "Show messages for SLEEP_TIME");					
-e <ALWAYS_FIX/ALWAYS_ASK/ALWAYS_IGNORE>	$(nls "mode ERRORS_HANDLE");
-v <yes/no>	$(nls "mode VERBOSE_MODE (no - don't show extra messages)");
-t <yes/no>	$(nls "mode TIMEOUT_MODE (no - wait for <enter>, yes - wait for SLEEP_TIME)");
-h -?		$(nls "help")
EOF

}

while getopts "s:e:v:t:h" opt
do
	case $opt in
		s) SLEEP_TIME="$OPTARG";;
		e) errors_handle="$OPTARG";;
		v) verbose_mode="$OPTARG";;
		t) timeout_mode="$OPTARG";;
		h) print_help; exit;;
		*) print_help; exit;;
	esac
done

[ -z "$1" ] && gui || run_main 2>/dev/null
